# $Revision: 1.16 $, $Date: 2002/02/17 15:53:10 $
Summary:	Interactive spelling corrector with GNU ispell
Summary(pl):	Interakcyiny korektor pisowni uywajcy GNU ispell-a
Name:		xemacs-ispell-pkg
%define 	srcname	ispell
Version:	1.24
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Group(cs):	Aplikace/Editory/Emacs
Group(da):	Programmer/Tekstbehandlere/Emacs
Group(de):	Applikationen/Editoren/Emacs
Group(es):	Aplicaciones/Editores/Emacs
Group(fr):	Applications/Editeurs/Emacs
Group(is):	Forrit/Ritlar/Emacs
Group(it):	Applicazioni/Editor/Emacs
Group(ja):	ץꥱ/ǥ/Emacs
Group(no):	Applikasjoner/Editorer/Emacs
Group(pl):	Aplikacje/Edytory/Emacs
Group(pt):	Aplicaes/Editores/Emacs
Group(ru):	//Emacs
Group(sl):	Programi/Urejevalniki/Emacs
Group(sv):	Tillmpningar/Editorer/Emacs
Group(uk):	Φ //Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-xml.patch
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
BuildRequires:	xemacs
Requires:	xemacs
Requires:	ispell
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interactive spelling corrector with GNU ispell.

%description -l pl 
Interakcyjny korektor pisowni uywajcy GNU ispell-a.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build                                                      
xemacs -batch -q -no-site-file -f batch-byte-compile lisp/ispell/ispell.el

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

gzip -9nf lisp/ispell/ChangeLog 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/ispell/ChangeLog.gz 
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.elc

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-ispell-pkg.spec,v $
Revision 1.16  2002/02/17 15:53:10  kloczek
- updated to 1.24.

Revision 1.15  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/18 21:29:18  blues
- added xemacs to buildrequires

Revision 1.13  2001/08/20 21:49:09  kloczek
- updated to 1.23.

Revision 1.12  2001/04/23 16:24:48  klakier
- typo

Revision 1.11  2001/03/25 11:56:46  klakier
- added patch to enable tags omitting in xml-mode (so far only sgml-mode
  and html-mode were recognized)

Revision 1.10  2001/03/05 17:24:29  misiek
requires: ispell; removed info file (it's provided by ispell package); rel 2; stb

Revision 1.9  2001/02/13 18:17:55  mis
- updated to 1.22

Revision 1.8  2000/12/22 03:12:59  kloczek
- spec adapterized,
- fixed Summary and added %description,
- added info patch (added also texinfo to BuildRequires and %post, %preun
  scriptd with updating info dir file).

Revision 1.7  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:39:23  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
